﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace Multiple_Regex_Attribute_MVC.Models
{
    public class PersonModel
    {
        [Required(ErrorMessage = "Required.")]
        [Number(ErrorMessage = "Only Number (Digit)")]
        [Period(ErrorMessage = "Dot (Period) not allowed.")]
        public string Amount { get; set; }
    }

    public class Number : RegularExpressionAttribute
    {
        public Number()
            : base("^[0-9]*$")
        {
        }
    }

    public class Period : RegularExpressionAttribute
    {
        public Period()
            : base("^[^\\.]*$")
        {
        }
    }
}